#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92540fbf, "finish_wait" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd3e81bd7, "v4l2_fh_del" },
	{ 0x34a0b249, "v4l2_fh_exit" },
	{ 0x35ff98bf, "v4l2_format_info" },
	{ 0xc0f6464b, "v4l2_fh_init" },
	{ 0xbfa93292, "v4l2_fh_add" },
	{ 0x629c0a85, "vmalloc_to_page" },
	{ 0x144a1177, "vm_insert_page" },
	{ 0xa638e595, "v4l2_event_pending" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x43adc190, "_dev_warn" },
	{ 0x6dc1a4b1, "noop_llseek" },
	{ 0xc6405de5, "nonseekable_open" },
	{ 0x4a979579, "v4l2_event_unsubscribe" },
	{ 0xdf2b0a0, "video_ioctl2" },
	{ 0xbf6bc7ea, "param_ops_int" },
	{ 0xafce403b, "param_array_ops" },
	{ 0x2adfb508, "param_ops_bool" },
	{ 0xd23d336a, "param_ops_charp" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x29dfcdcd, "v4l2_event_queue" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a4d5498, "const_pcpu_hot" },
	{ 0x92997ed8, "_printk" },
	{ 0x999e8297, "vfree" },
	{ 0x4640c216, "device_remove_file" },
	{ 0x37a0cba, "kfree" },
	{ 0x7bf0d066, "video_unregister_device" },
	{ 0x1cd0b1fb, "v4l2_device_unregister" },
	{ 0xa7501799, "v4l2_ctrl_handler_free" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcc501597, "v4l2_fill_pixfmt" },
	{ 0x6e9acc41, "v4l2_fill_pixfmt_mp" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3ffbed, "v4l2_event_subscribe" },
	{ 0xff8a8bce, "v4l2_ctrl_subscribe_event" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x2eff86be, "misc_deregister" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x3a9196f3, "kmalloc_caches" },
	{ 0xd3e0302d, "kmalloc_trace_noprof" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x797cff66, "v4l2_device_register" },
	{ 0x855badc7, "video_device_alloc" },
	{ 0x8a01e7, "video_device_release" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5884a2f2, "v4l2_ctrl_handler_init_class" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7790737f, "v4l2_ctrl_new_custom" },
	{ 0xb6124e42, "v4l2_ctrl_handler_setup" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4c7e989d, "__video_register_device" },
	{ 0x44711735, "device_create_file" },
	{ 0xf4c76d08, "_dev_err" },
	{ 0xd8e021a5, "misc_register" },
	{ 0x6d16c104, "mutex_lock_killable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x18c70a9, "video_devdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x13402f51, "module_layout" },
};

MODULE_INFO(depends, "videodev");


MODULE_INFO(srcversion, "4AA3863FA83D2255FF90AAC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
